Subject: [codec] DRAFT Minutes Posted

From: Eric Burger <[email-masked]>
Date: Thu, 12 Nov 2009 17:06:22 +0900

Thank you to everyone who participated in the room and remotely.  We  
succeeded in getting a lot of work done, and we have a sense of  
whether or not we have a well-formed problem to solve, if there are  
people who need the work product, if people are willing to work on it,  
and if the IETF is an acceptable venue to do the work.  In addition,  
we learned a lot about the possibilities for cooperating with ITU-T SG  
16.

Please review the minutes and send corrections.

The minutes are posted to:
http://www.ietf.org/proceedings/09nov/minutes/codec.txt

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 13 Nov 2009 06:39:46 +0900

> http://www.ietf.org/proceedings/09nov/minutes/codec.txt

At least in my browser there were some improperly-encoded characters
(cf. the technical plenary!) and I found some errors typographical
errors and incorrectly spelled names. I have fixed those editorial
issues and uploaded corrected notes. Many thanks to the note takers, and
to everyone who contributed to a productive BoF.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 13 Nov 2009 06:40:29 +0900

On 11/13/09 6:39 AM, Peter Saint-Andre wrote:

> some errors typographical errors 

Like that. :)

---

From: Rob Glidden <[email-masked]>
Date: Sat, 14 Nov 2009 03:42:14 -0800

BTW I hear that in MPEG the Chinese National Body initiated a 
(re)consideration of royalty free standardization and MPEG has issued a 
call for comments to other national bodies.

Someone may want to contact their national MPEG Head of Delegation or 
numerous liaisons including IETF, listed at 
http://www.itscj.ipsj.or.jp/sc29/.

At the same time, MPEG is also considering launching new royalty bearing 
activities HVC (High Performance Video Coding) and MMT (Multimedia 
Transport). http://www.chiariglione.org/mpeg/working_documents.htm

You may recall that h.264 was launched in 2001 as a joint project 
between ITU-T Q.6/SG16 and ISO/IEC JTC 1/SC 29/WG11 with the undertaking 
that the "JVT [Joint Video Team] will define a “baseline” profile. That 
profile should be royalty-free for all implementations." To date neither 
ITU-T nor MPEG have ever delivered on this royalty free undertaking.

Rob

Eric Burger wrote:
> and if the IETF is an acceptable venue to do the work. In addition, we 
> learned a lot about the possibilities for cooperating with ITU-T SG 16.
>
> _______________________________________________
> codec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/codec
>

---

From: Rob Glidden <[email-masked]>
Date: Sun, 15 Nov 2009 06:17:53 -0800

BTW, see November 10, 2009 "Preliminary call for proposals signals work 
start for H.264/MPEG-4 AVC successor" (ie HVC):

http://www.itu.int/ITU-T/newslog/Preliminary+Call+For+Proposals+Signals+Work+Start+For+H264MPEG4+AVC+Successor.aspx

Any "h.264 successor" type work (audio/video/transport) should complete, 
not drop, the 2001 royalty free undertaking.  IETF and ITU-T should 
lead/support to royalty-free, not give up or hide in a niche, nor let 
vested interests run process into slow failure.

See: http://www.cafc.uscourts.gov/opinions/07-1545.pdf

The process was enforceable, and enforced.
Patents could have been found earlier, and removed.

Rob

Rob Glidden wrote:
> (re)consideration of royalty free standardization and MPEG has issued 
> a call for comments to other national bodies.
>
> At the same time, MPEG is also considering launching new royalty 
> bearing activities HVC (High Performance Video Coding) and MMT 
> (Multimedia Transport). 
> http://www.chiariglione.org/mpeg/working_documents.htm
>
> between ITU-T Q.6/SG16 and ISO/IEC JTC 1/SC 29/WG11 with the 
> undertaking that the "JVT [Joint Video Team] will define a “baseline” 
> profile. That profile should be royalty-free for all implementations." 
> To date neither ITU-T nor MPEG have ever delivered on this royalty 
> free undertaking.
>
> Rob
>
> Eric Burger wrote:
>> people who need the work product, if people are willing to work on 
>> it, and if the IETF is an acceptable venue to do the work. In 
>> addition, we learned a lot about the possibilities for cooperating 
>> with ITU-T SG 16.
>>

---

From: stephen botzko <[email-masked]>
Date: Sun, 15 Nov 2009 16:54:59 -0500

As Stephan Wenger indicated, it is not clear if the JVT actually failed or
not.  What is clear is that they did everything they reasonably could have
done.  There were several folks participating who took the royalty-free
baseline profile objective very seriously.

Again, all submitted IPR for the baseline tools indicated royalty free
terms.  So the JVT had every reason to think they had succeeded.    By the
time this IPR turned up, H.264 had been standardized for over 2 years.
H.264 implementations were already out there - so any attempts to do
work-arounds would have broken existing implementations (including
implementations in silicon).

Certainly any existing IETF group would have presumed exactly the same thing
the JVT did.  The lesson here is that even if the SDO is conscientious, an
unencumbered codec can not be guaranteed. I don't see any other way to read
this.

Stephen Botzko
Polycom

On Sun, Nov 15, 2009 at 9:01 AM, Rob Glidden <[email-masked]>wrote:

>  stephen botzko wrote:
>
> >>>
> To date neither ITU-T nor MPEG have ever delivered on this royalty free
> undertaking.
> >>>
> That should be viewed as very *bad* news here, since all the IPR
> declarations in JVT for the baseline tools indicated royalty free terms. In
> other words, the SDOs did everything possible to deliver, and when H.264
> baseline was standardized they thought they had succeeded.
>
> I'd suggest that it is hard to see things this way after reading
>
> http://www.cafc.uscourts.gov/opinions/07-1545.pdf
>
> The patents could have been found earlier, and removed.
>
> So any "h.264 successor" type work (audio/video/transport) should complete,
> not drop, the royalty free undertaking.  IETF and ITU-T should lead there,
> not give up or hide in a niche.
>
> See November 10, 2009 "Preliminary call for proposals signals work start
> for H.264/MPEG-4 AVC successor"
>
>
> Stephen Botzko
> Polycom.
> On Sat, Nov 14, 2009 at 6:42 AM, Rob Glidden <[email-masked]>wrote:
>
>> (re)consideration of royalty free standardization and MPEG has issued a call
>> for comments to other national bodies.
>>
>> You may recall that h.264 was launched in 2001 as a joint project between
>> ITU-T Q.6/SG16 and ISO/IEC JTC 1/SC 29/WG11 with the undertaking that the
>> "JVT [Joint Video Team] will define a “baseline” profile. That profile
>> should be royalty-free for all implementations." To date neither ITU-T nor
>> MPEG have ever delivered on this royalty free undertaking.
>>
>> Rob
>>
>> Eric Burger wrote:
>>
>>> succeeded in getting a lot of work done, and we have a sense of whether or
>>> not we have a well-formed problem to solve, if there are people who need the
>>> work product, if people are willing to work on it, and if the IETF is an
>>> acceptable venue to do the work. In addition, we learned a lot about the
>>> possibilities for cooperating with ITU-T SG 16.
>>>

---

From: Rob Glidden <[email-masked]>
Date: Sun, 15 Nov 2009 15:17:45 -0800

There is another way to read this.

This case has been called "the most infamous discovery fiasco in recent
times":

- The lawyers were sanctioned

- The patents were held both unenforceable and inapplicable

- Fines were levied

- The law firm crumbled and was sold

But read the case:  these were not patents that turned up two years
later.  The two were issued and therefore public in 1995 and 1996 (5
years before the JVT), and had been presented to the MPEG committee
before.

Going forward, a more proactive ex ante assessment of known patents, at
least of the participants in the activity, rather than just relying on
statements, would be good practice to check for blocking patents.

But yes, you are right the court did not blame the JVT process and
certainly not those who took the royalty-free objective seriously.
Clearly not everyone shared that goal, and got caught in subverting it.

But no, the subsequent ITU/ISO/IEC Common Patent Policy did more than
just keep presuming that such things never occur and accept being blind
sided, and has tightened its IPR policy (which provides for
third-parties coming forward with blocking info).

And yes, any one can sue about anything, and they can lie about their
participation in a standards group.  They can fail to disclose.  They
can assert patents that end up being ruled as inapplicable.  Maybe they
will get away with it, or maybe as in this case they won't.

But that isn't a good reason to fail to develop the standards the Web
needs for its open, royalty-free future.  Rather, the opposite. If it
takes this kind of extreme behavior and it still doesn't work, then
time to keep moving forward with royalty-free standardization.

Rob

http://www.law.com/jsp/article.jsp?id=1202435137932

"Lawyers in Discovery Scandal Say Qualcomm Lied", November 3, 2009

"Lawyers in the Qualcomm discovery scandal claim that the company
misled
and stonewalled them, ultimately leading to the failure to turn over a
mountain of relevant evidence and harsh sanctions from the court."

The allegations were made in briefs filed Monday by lawyers from the
now-defunct
Day Casebeer Batchelder & Madrid, who for the first time are
telling their side of what has become the
most infamous discovery fiasco in recent times.

Qualcomm Inc. was sanctioned by San Diego Magistrate Judge Barbara
Major in January 2008 for intentionally withholding "tens of thousands
of e-mails" in an infringement case against Broadcom Corp. involving
video compression technology patents. The company's lawyers -- six from
Day Casebeer and one from Heller Ehrman -- were also sanctioned for
assisting "Qualcomm in committing this incredible discovery violation,"
either knowingly or recklessly, Major wrote at the time."

stephen botzko wrote:

As Stephan Wenger indicated, it is not clear if the JVT
actually failed or not.  What is clear is that they did everything they
reasonably could have done.  There were several folks participating who
took the royalty-free baseline profile objective very seriously.

Again, all submitted IPR for the baseline tools indicated royalty free
terms.  So the JVT had every reason to think they had succeeded.    By
the time this IPR turned up, H.264 had been standardized for over 2
years.  H.264 implementations were already out there - so any attempts
to do work-arounds would have broken existing implementations
(including implementations in silicon).

Certainly any existing IETF group would have presumed exactly the same
thing the JVT did.  The lesson here is that even if the SDO is
conscientious, an unencumbered codec can not be guaranteed. I don't see
any other way to read this.

Stephen Botzko

Polycom

On Sun, Nov 15, 2009 at 9:01 AM, Rob Glidden
<[email-masked]>
wrote:

stephen botzko wrote:

That should be viewed as very bad news here, since all the IPR
declarations in JVT for the baseline tools indicated royalty free
terms. In other words, the SDOs did everything possible to deliver, and
when H.264 baseline was standardized they thought they had succeeded.

So any "h.264 successor" type work (audio/video/transport) should
complete, not drop, the royalty free undertaking.  IETF and ITU-T
should lead there, not give up or hide in a niche.

See November 10, 2009 "Preliminary call for proposals signals work
start for H.264/MPEG-4 AVC successor"

Rob

Stephen Botzko

Polycom.

On Sat, Nov 14, 2009 at 6:42 AM, Rob
Glidden <[email-masked]>
wrote:

BTW
I hear that in MPEG the Chinese National Body initiated a
(re)consideration of royalty free standardization and MPEG has issued a
call for comments to other national bodies.

Someone may want to contact their national MPEG Head of Delegation or
numerous liaisons including IETF, listed at http://www.itscj.ipsj.or.jp/sc29/.

At the same time, MPEG is also considering launching new royalty
bearing activities HVC (High Performance Video Coding) and MMT
(Multimedia Transport). http://www.chiariglione.org/mpeg/working_documents.htm

Rob

Eric Burger wrote:

Thank
you to everyone who participated in the room and remotely. We
succeeded in getting a lot of work done, and we have a sense of whether
or not we have a well-formed problem to solve, if there are people who
need the work product, if people are willing to work on it, and if the
IETF is an acceptable venue to do the work. In addition, we learned a
lot about the possibilities for cooperating with ITU-T SG 16.

codec mailing list

[email-masked]

codec mailing list

[email-masked]

---

From: Stephan Wenger <[email-masked]>
Date: Sun, 15 Nov 2009 16:35:19 -0800

Hi Rob,

I will not comment more on the BC/QC San Diego case, except to say that
misconduct before the standardization committee (violation of both written
and de-facto practiced rules of the committee) was only one and, as some
people have argued, small factor in the ruling.  I wish one could come to
the conclusion that any misconduct before a standardization committee would
automatically render related patents unenforceable (the inapplicable part is
a very different story), but I fear that this is too much to hope for.

My current view of the likeliness of success of Codec in relation to JVT¹s
success or failure (depending whom you ask):
1. JVT took on the creation a royalty-free baseline (that is, a part of a
standard only, and rightholders may still require a signed license that may
be encumbered to the point where it becomes unusable for some open source
communities‹clearly a factor for some software companies), in a heavily
patented field.  The vast majority of the participating companies‹enough to
create a consensus-based decision in the committee, and many of them known
or likely future rightholders‹was in support of that goal.
2. Codec attempts to take on of creating a standard (not only a baseline of
a standard‹rightholders cannot be appeased by arguing they can make money
from non-baseline applications) under what the BOF chairs called ³acceptable
terms²--which translate to an open-source friendly non-assert requirement.
The field of technology is at least as heavily patented as video.  A
significant percentage of companies known to hold a sizeable portfolio of
audio/speech codec patents have spoken quite clearly against the goal.  It¹s
not up to me to declare an IETF consensus on whether acceptable terms are
achievable, but if someone were a declaring such a consensus, I would
object‹and I¹m sure I would not be alone.  In fact, ³acceptable terms², by
policy cannot and will not be a hard requirement for the work of a
hypothetical codec WG.
Based on these perceptions and facts it seems obvious that it¹s going to be
much harder to achieve‹that is also: easier to prevent for those not
amicable‹the goals of a hypothetical codec WG when compared to the goals of
JVT.  
Regards,
Stephan

On 11/15/09 3:17 PM, "Rob Glidden" <[email-masked]> wrote:

> But read the case:  these were not patents that turned up two years later. 
> The two were issued and therefore public in 1995 and 1996 (5 years before the
> JVT), and had been presented to the MPEG committee before.
> 
> Going forward, a more proactive ex ante assessment of known patents, at least
> of the participants in the activity, rather than just relying on statements,
> would be good practice to check for blocking patents.
> 
> But yes, you are right the court did not blame the JVT process and certainly
> not those who took the royalty-free objective seriously.  Clearly not everyone
> shared that goal, and got caught in subverting it.
> 
> But no, the subsequent ITU/ISO/IEC Common Patent Policy did more than just
> keep presuming that such things never occur and accept being blind sided, and
> has tightened its IPR policy (which provides for third-parties coming forward
> with blocking info).
> 
> participation in a standards group.  They can fail to disclose.  They can
> assert patents that end up being ruled as inapplicable.  Maybe they will get
> away with it, or maybe as in this case they won't.
> 
> But that isn't a good reason to fail to develop the standards the Web needs
> for its open, royalty-free future.  Rather, the opposite. If it takes this
> kind of extreme behavior and it still doesn't work, then time to keep moving
> forward with royalty-free standardization.
> 
> Rob
> 
> "Lawyers in the Qualcomm discovery scandal claim that the company misled and
> stonewalled them, ultimately leading to the failure to turn over a mountain of
> relevant evidence and harsh sanctions from the court."
> 
> now-defunct Day Casebeer Batchelder & Madrid
> <http://www.law.com/jsp/article.jsp?id=1202431679659> , who for the first time
> are telling their side of what has become the most infamous discovery fiasco
> in recent times 
> <http://www.law.com/jsp/legaltechnology/pubArticleLT.jsp?id=900005504954> .
> 
> Qualcomm Inc. was sanctioned by San Diego Magistrate Judge Barbara Major in
> January 2008 for intentionally withholding "tens of thousands of e-mails" in
> an infringement case against Broadcom Corp. involving video compression
> technology patents. The company's lawyers -- six from Day Casebeer and one
> from Heller Ehrman -- were also sanctioned for assisting "Qualcomm in
> committing this incredible discovery violation," either knowingly or
> recklessly, Major wrote at the time."
> 
> stephen botzko wrote:
>> time this IPR turned up, H.264 had been standardized for over 2 years.  H.264
>> implementations were already out there - so any attempts to do work-arounds
>> would have broken existing implementations (including implementations in
>> silicon).  
>>  
>>>> That should be viewed as very bad news here, since all the IPR declarations
>>>> in JVT for the baseline tools indicated royalty free terms. In other words,
>>>> the SDOs did everything possible to deliver, and when H.264 baseline was
>>>> standardized they thought they had succeeded.
>>>>  
>>>  
>>> See November 10, 2009 "Preliminary call for proposals signals work start for
>>> H.264/MPEG-4 AVC successor"
>>>  
>>>  
>>>>> "JVT [Joint Video Team] will define a ³baseline² profile. That profile
>>>>>> IETF is an acceptable venue to do the work. In addition, we learned a lot
>>>>>> about the possibilities for cooperating with ITU-T SG 16.
>>>>>>

---

From: Koen Vos <[email-masked]>
Date: Sun, 15 Nov 2009 18:03:30 -0800

> The field of technology is at least as heavily patented as video.

I disagree on this point - a larger fraction of patents in speech and  
audio coding have expired. The field has made relatively little  
progress in the past 20 years, compared to video.

koen.

Quoting Stephan Wenger <[email-masked]>:

>>>>> declarations
>>>> complete,

---

From: Stephan Wenger <[email-masked]>
Date: Sun, 15 Nov 2009 18:59:32 -0800

> progress in the past 20 years, compared to video.

Hi Koen,

I'm not necessarily disagreeing with either of your statements.  However,
the number of expired patents, in isolation, does not necessarily tell you
anything of the density of a patent minefield.  Nor, in isolation, does a
perception of "little progress".  When viewing both your points in
combination, and if the patent offices would not award patents for trivial
non-inventions, I could agree to your arguments.

However, from previous jobs, I have some knowledge of the relative portfolio
size of two big companies active in both fields, and based on this sample of
two, I stand to my perception re density of the patent minefield (even if I
never explicitly stated that they are the same).  Note also that I did not
comment on significance of the steps forward of each of those patents.  That
said, in patent work, one better starts with the assumption of validity, and
in risk analysis, one better starts with sheer numbers...

It's actually possible to measure the density of a patent landscape, at
least on a quantitative scale.  I have not done so and leave this work for a
really slow day.

Regards,
Stephan

>>>>> http://www.itu.int/ITU-T/newslog/Preliminary+Call+For+Proposals+Signals+Wo
>>>>> rk
>>>>> +Start+For+H264MPEG4+AVC+Successor.aspx
>>>>> 
>>>>> Rob
>>>>> 
>>>>> 
>>>>> 
>>>>>> Stephen Botzko
>>>>>> Polycom. 
>>>>>> 
>>>>>>  
>>>>>> 
>>>>>>

---

From: Rob Glidden <[email-masked]>
Date: Tue, 17 Nov 2009 03:28:05 -0800

Stephan:

It doesn't appear there was ever much more than a paper consensus that
was undermined by 2003 (see previous email) when patent pools started
announcing coverage of the h.264 baseline (years before the Qualcomm
litigation).

As the impressive curriculum states on 2001-2003 time frame:

"Fought the political battles to make those contributions pass, despite
substantial resistance from some of the largest companies in the field."

http://www.stewe.org/cv-business-wenger.pdf

So I'd suggest a different interpretation, one that does not assume
there was a sincere or sustained political consensus. Accepting this, a
more realistic forward look is possible.

Rob

Stephan Wenger wrote:

Hi Rob,

I will not comment more on the BC/QC San Diego case, except to say that
misconduct before the standardization committee (violation of both
written and de-facto practiced rules of the committee) was only one
and, as some people have argued, small factor in the ruling.  I wish
one could come to the conclusion that any misconduct before a
standardization committee would automatically render related patents
unenforceable (the inapplicable part is a very different story), but I
fear that this is too much to hope for.

My current view of the likeliness of success of Codec in relation to
JVT’s success or failure (depending whom you ask):

JVT took on the creation a royalty-free
baseline (that is, a part of a standard only, and
rightholders may still require a signed license that may be encumbered
to the point where it becomes unusable for some open source
communities—clearly a factor for some software companies), in a heavily
patented field.  The vast majority of the participating
companies—enough to create a consensus-based decision in the committee,
and many of them known or likely future rightholders—was in support
of that goal.

Codec attempts to take on of creating a standard
(not only a baseline of a standard—rightholders cannot be
appeased by arguing they can make money from non-baseline applications)
under what the BOF chairs called “acceptable terms”--which translate to
an open-source friendly non-assert requirement.  The field of
technology is at least as heavily patented as video.  A significant
percentage of companies known to hold a sizeable portfolio of
audio/speech codec patents have spoken quite clearly against the
goal.  It’s not up to me to declare an IETF consensus on whether
acceptable terms are achievable, but if someone were a declaring such a
consensus, I would object—and I’m sure I would not be alone.  In fact,
“acceptable terms”, by policy cannot and will not be a hard requirement
for the work of a hypothetical codec WG.

Based on these perceptions and facts it seems
obvious that it’s going to be much harder to achieve—that is also:
easier to prevent for those not amicable—the goals of a hypothetical
codec WG when compared to the goals of JVT.

Regards,

Stephan

On 11/15/09 3:17 PM, "Rob Glidden" <[email-masked]>
wrote:

- Fines were levied

Rob

"Lawyers in the Qualcomm discovery scandal claim that the company
misled and stonewalled them, ultimately leading to the failure to turn
over a mountain of relevant evidence and harsh sanctions from the
court."

The allegations were made in briefs filed Monday by lawyers from the
now-defunct Day Casebeer Batchelder & Madrid <http://www.law.com/jsp/article.jsp?id=1202431679659>
, who for the first time are telling their side of what has become the
most infamous discovery fiasco in recent times <http://www.law.com/jsp/legaltechnology/pubArticleLT.jsp?id=900005504954>
.

stephen botzko wrote:

As Stephan Wenger indicated, it is not clear
if the JVT actually failed or not.  What is clear is that they did
everything they reasonably could have done.  There were several folks
participating who took the royalty-free baseline profile objective very
seriously.

Stephen Botzko

Polycom

On Sun, Nov 15, 2009 at 9:01 AM, Rob Glidden <[email-masked]>
wrote:

stephen botzko wrote:

Rob

Stephen Botzko

Polycom.

On Sat, Nov 14, 2009 at 6:42 AM, Rob Glidden <[email-masked]>
wrote:

BTW I hear that in MPEG the Chinese National
Body initiated a (re)consideration of royalty free standardization and
MPEG has issued a call for comments to other national bodies.

Rob

Eric Burger wrote:

Thank you to everyone who participated in the
room and remotely. We succeeded in getting a lot of work done, and we
have a sense of whether or not we have a well-formed problem to solve,
if there are people who need the work product, if people are willing to
work on it, and if the IETF is an acceptable venue to do the work. In
addition, we learned a lot about the possibilities for cooperating with
ITU-T SG 16.

codec mailing list

[email-masked]

codec mailing list

[email-masked]

codec mailing list

[email-masked]

---

From: stephen botzko <[email-masked]>
Date: Tue, 17 Nov 2009 06:39:09 -0500

Perhaps you should add the word "sincere" to the proposed codec charter.
That would certainly fix it.

Stephen Botzko
Polycom

On Tue, Nov 17, 2009 at 6:28 AM, Rob Glidden <[email-masked]>wrote:

>  Stephan:
>
> It doesn't appear there was ever much more than a paper consensus that was
> undermined by 2003 (see previous email) when patent pools started announcing
> coverage of the h.264 baseline (years before the Qualcomm litigation).
>
> So I'd suggest a different interpretation, one that does not assume there
> was a sincere or sustained political consensus. Accepting this, a more
> realistic forward look is possible.
>
> Rob
>
>
>
> Stephan Wenger wrote:
>
> Hi Rob,
>
> My current view of the likeliness of success of Codec in relation to JVT’s
>    1. JVT took on the creation a *royalty-free* *baseline *(that is, a
>    part of a standard only, and rightholders may still require a signed license
>    that may be encumbered to the point where it becomes unusable for some open
>    source communities—clearly a factor for some software companies), in a
>    *heavily patented field.*  The vast majority of the participating
>    companies—enough to create a consensus-based decision in the committee, and
>    many of them known or likely future rightholders—was *in support* of
>    that goal.
>    2. Codec attempts to take on of creating a *standard *(not only a
>    baseline of a standard—rightholders cannot be appeased by arguing they can
>    make money from non-baseline applications) under what the BOF chairs called
>    “acceptable terms”--which translate to an *open-source friendly
>    non-assert requirement*.  The field of technology is at least as *heavily
>    patented* as video.  A *significant percentage* of companies known to
>    hold a sizeable portfolio of audio/speech codec patents have spoken quite
>    *clearly against the goal*.  It’s not up to me to declare an IETF
>    consensus on whether acceptable terms are achievable, but if someone were a
>    declaring such a consensus, I would object—and I’m sure I would not be
>    alone.  In fact, “acceptable terms”, by policy cannot and will not be a hard
>    requirement for the work of a hypothetical codec WG.
>
> Based on these perceptions and facts it seems obvious that it’s going to be
> much harder to achieve—that is also: easier to prevent for those not
> amicable—the goals of a hypothetical codec WG when compared to the goals of
> JVT.
> Regards,
> Stephan
>
>
> The two were issued and therefore public in 1995 and 1996 (5 years before
> the JVT), and had been presented to the MPEG committee before.
>
> certainly not those who took the royalty-free objective seriously.  Clearly
> not everyone shared that goal, and got caught in subverting it.
>
> keep presuming that such things never occur and accept being blind sided,
> and has tightened its IPR policy (which provides for third-parties coming
> forward with blocking info).
>
> "Lawyers in the Qualcomm discovery scandal claim that the company misled
> now-defunct Day Casebeer Batchelder & Madrid <
> http://www.law.com/jsp/article.jsp?id=1202431679659> , who for the first
> time are telling their side of what has become the most infamous discovery
> fiasco in recent times <
> http://www.law.com/jsp/legaltechnology/pubArticleLT.jsp?id=900005504954> .
>
>
> conscientious, an unencumbered codec can not be guaranteed. I don't see any
> other way to read this.
>
> Stephen Botzko
> Polycom
>
>
>
> ------------------------------

---

From: stephen botzko <[email-masked]>
Date: Tue, 17 Nov 2009 07:31:57 -0500

The draft calls for proposals (there are actually 2, one from the ITU-T and
one from ISO/IEC) start the process.  Responses are not profile-specific
(since there are no profiles defined at this point).  There is more than one
operating point envisioned, but it is rather difficult to figure out what
tools belong to what operating point before you have proposals.

Also ITU-T and ISO/IEC have not yet worked out terms of reference for this
work.  There is a desire (largely shared in both communities) to work
together again, but this has not yet been accomplished organizationally.

Having attended some of these meetings, I think it is premature to say who
has the upper hand.  The effort is just beginning, and almost all of the
meeting focus has been on technical requirements and terms of reference.

Stephen Botzko
Polycom

On Tue, Nov 17, 2009 at 6:37 AM, Rob Glidden <[email-masked]>wrote:

> Stephen:
>
> Millions of patents, even a limited search could be quite expensive,
> amateur search done without lawyers could be a waste of time.
>
> I believe all could "stipulate" to these points.
>
> But obviously, others did do this work. So better can be done.
>
> Yes, I am critical of JVT for dropping royalty free ball, we can debate who
> dropped it and when and whether the ball was yanked from their hands or were
> outfoxed, dis-spirited or whatever.
>
> But the new successor call to h.264 drops any public mention of a
> royalty-free at all.  So it is clear who has upper hand now -- and this
> should not be acceptable.
>
> Rob
>
> stephen botzko wrote:
>
>> I did read the case. And despite the fact that the court did not criticize
>> the JVT at all, I think that your own posts left a false impression that
>> somehow it did.
>>
>> What you haven't done so far is identify how the IETF (or ITU-T, MPEG)
>> could ensure unencumbered standards with any certainty.
>>
>> Ex-ante assessment of the millions of  US patents (+ the millions more
>> filed in other countries) is not a practical answer.  Perhaps a limited
>> search would have caught some patents.  But it would not even come close to
>> catching them all.
>>
>> And of course there are cases where the granted claims are hard to
>> interpret, even if you have access to the prosecution history. And others
>> where the claims are actually invalid.  Even a limited search could be quite
>> expensive (and an amateur search done without lawyers would IMHO be a waste
>> of time)..
>>
>> The JVT made a noble effort, and I really don't see how a normal SDO
>> (including the IETF) could do much better.
>>
>> Stephen Botzko
>> Polycom
>>
>> On Sun, Nov 15, 2009 at 6:17 PM, Rob Glidden <[email-masked]<mailto:
>> [email-masked]>> wrote:
>>
>>    This case has been called "the most infamous discovery fiasco in
>>    recent times":
>>
>>    But read the case:  these were not patents that turned up two
>>    years later.  The two were issued and therefore public in 1995 and
>>    1996 (5 years before the JVT), and had been presented to the MPEG
>>    committee before.
>>
>>    Going forward, a more proactive ex ante assessment of known
>>    patents, at least of the participants in the activity, rather than
>>    just relying on statements, would be good practice to check for
>>    blocking patents.
>>
>>    certainly not those who took the royalty-free objective
>>    seriously.  Clearly not everyone shared that goal, and got caught
>>    in subverting it.
>>
>>    But no, the subsequent ITU/ISO/IEC Common Patent Policy did more
>>    than just keep presuming that such things never occur and accept
>>    being blind sided, and has tightened its IPR policy (which
>>    provides for third-parties coming forward with blocking info).
>>
>>    And yes, any one can sue about anything, and they can lie about
>>    their participation in a standards group.  They can fail to
>>    disclose.  They can assert patents that end up being ruled as
>>    inapplicable.  Maybe they will get away with it, or maybe as in
>>    this case they won't.
>>
>>    But that isn't a good reason to fail to develop the standards the
>>    Web needs for its open, royalty-free future.  Rather, the
>>    opposite. If it takes this kind of extreme behavior and it still
>>    doesn't work, then time to keep moving forward with royalty-free
>>    standardization.
>>
>>    Rob
>>
>>    misled and stonewalled them, ultimately leading to the failure to
>>    turn over a mountain of relevant evidence and harsh sanctions from
>>    the court."
>>
>>    The allegations were made in briefs filed Monday by lawyers from
>>    the now-defunct Day Casebeer Batchelder & Madrid
>>    <http://www.law.com/jsp/article.jsp?id=1202431679659>, who for the
>>
>>    first time are telling their side of what has become the most
>>    infamous discovery fiasco in recent times
>>    <
>> http://www.law.com/jsp/legaltechnology/pubArticleLT.jsp?id=900005504954>.
>>
>>
>>    Major in January 2008 for intentionally withholding "tens of
>>    thousands of e-mails" in an infringement case against Broadcom
>>    Corp. involving video compression technology patents. The
>>    company's lawyers -- six from Day Casebeer and one from Heller
>>    Ehrman -- were also sanctioned for assisting "Qualcomm in
>>    committing this incredible discovery violation," either knowingly
>>    or recklessly, Major wrote at the time."
>>
>>
>>    stephen botzko wrote:
>>
>>>    As Stephan Wenger indicated, it is not clear if the JVT actually
>>>    failed or not.  What is clear is that they did everything they
>>>    reasonably could have done.  There were several folks
>>>    participating who took the royalty-free baseline profile
>>>    objective very seriously.
>>>
>>>    Again, all submitted IPR for the baseline tools indicated royalty
>>>    free terms.  So the JVT had every reason to think they had
>>>    succeeded.    By the time this IPR turned up, H.264 had been
>>>    standardized for over 2 years.  H.264 implementations were
>>>    already out there - so any attempts to do work-arounds would have
>>>    broken existing implementations (including implementations in
>>>    silicon).
>>>    Certainly any existing IETF group would have presumed exactly the
>>>    same thing the JVT did.  The lesson here is that even if the SDO
>>>    is conscientious, an unencumbered codec can not be guaranteed. I
>>>    don't see any other way to read this.
>>>
>>>    Stephen Botzko
>>>    Polycom
>>>
>>>
>>>    <[email-masked] <mailto:[email-masked]>> wrote:
>>>
>>>        stephen botzko wrote:
>>>
>>>>        >>>
>>>>        To date neither ITU-T nor MPEG have ever delivered on this
>>>>        royalty free undertaking.
>>>>        >>>
>>>>        That should be viewed as very *bad* news here, since all the
>>>>        IPR declarations in JVT for the baseline tools indicated
>>>>        royalty free terms. In other words, the SDOs did everything
>>>>        possible to deliver, and when H.264 baseline was
>>>        So any "h.264 successor" type work (audio/video/transport)
>>>        should complete, not drop, the royalty free undertaking.
>>>  IETF and ITU-T should lead there, not give up or hide in a niche.
>>>
>>>        See November 10, 2009 "Preliminary call for proposals signals
>>>        work start for H.264/MPEG-4 AVC successor"
>>>
>>>
>>>>        On Sat, Nov 14, 2009 at 6:42 AM, Rob Glidden
>>>>        <[email-masked]
>>>>        <mailto:[email-masked]>> wrote:
>>>>
>>>>            BTW I hear that in MPEG the Chinese National Body
>>>>            initiated a (re)consideration of royalty free
>>>>            standardization and MPEG has issued a call for comments
>>>>            to other national bodies.
>>>>
>>>>            Someone may want to contact their national MPEG Head of
>>>>            Delegation or numerous liaisons including IETF, listed
>>>>            at http://www.itscj.ipsj.or.jp/sc29/.
>>>>
>>>>            At the same time, MPEG is also considering launching new
>>>>            royalty bearing activities HVC (High Performance Video
>>>>            Coding) and MMT (Multimedia Transport).
>>>>            You may recall that h.264 was launched in 2001 as a
>>>>            joint project between ITU-T Q.6/SG16 and ISO/IEC JTC
>>>>            1/SC 29/WG11 with the undertaking that the "JVT [Joint
>>>>            Video Team] will define a “baseline” profile. That
>>>>            profile should be royalty-free for all implementations."
>>>>            To date neither ITU-T nor MPEG have ever delivered on
>>>>            this royalty free undertaking.
>>>>
>>>>            Rob
>>>>
>>>>            Eric Burger wrote:
>>>>
>>>>                Thank you to everyone who participated in the room
>>>>                and remotely. We succeeded in getting a lot of work
>>>>                done, and we have a sense of whether or not we have
>>>>                a well-formed problem to solve, if there are people
>>>>                who need the work product, if people are willing to
>>>>                work on it, and if the IETF is an acceptable venue
>>>>                to do the work. In addition, we learned a lot about
>>>>                the possibilities for cooperating with ITU-T SG 16.
>>>>
>>>>                [email-masked] <mailto:[email-masked]>
>>>>
>>>>            [email-masked] <mailto:[email-masked]>
>>>>

---

From: Rob Glidden <[email-masked]>
Date: Tue, 17 Nov 2009 04:42:35 -0800

As this thread starts off, there appear to be three.

I would assert that putting beginning business focus on technical
requirements and terms of reference, delaying business model and IPR
process to an after-thought, is indeed demonstrative of an upper hand.
Consider what this would look like if royalty free had upper hand,
equal say, or even a seat at table.

Rob

stephen botzko wrote:

The draft calls for proposals (there are
actually 2, one from the ITU-T
and one from ISO/IEC) start the process.  Responses are not
profile-specific (since there are no profiles defined at this point).
There is more than one operating point envisioned, but it is rather
difficult to figure out what tools belong to what operating point
before you have proposals.

Also ITU-T and ISO/IEC have not yet worked out terms of reference for
this work.  There is a desire (largely shared in both communities) to
work together again, but this has not yet been accomplished
organizationally.

Having attended some of these meetings, I think it is premature to say
who has the upper hand.  The effort is just beginning, and almost all
of the meeting focus has been on technical requirements and terms of
reference.

Stephen Botzko

Polycom

On Tue, Nov 17, 2009 at 6:37 AM, Rob Glidden
<[email-masked]>
wrote:

Stephen:

Yes, I am critical of JVT for dropping royalty free ball, we can debate
who dropped it and when and whether the ball was yanked from their
hands or were outfoxed, dis-spirited or whatever.

Rob

stephen botzko wrote:

I did read the case. And despite the fact that the court did
not criticize the JVT at all, I think that your own posts left a false
impression that somehow it did.

Ex-ante assessment of the millions of  US patents (+ the millions more
filed in other countries) is not a practical answer.  Perhaps a limited
search would have caught some patents.  But it would not even come
close to catching them all.

And of course there are cases where the granted claims are hard to
interpret, even if you have access to the prosecution history. And
others where the claims are actually invalid.  Even a limited search
could be quite expensive (and an amateur search done without lawyers
would IMHO be a waste of time)..

Stephen Botzko

Polycom

On Sun, Nov 15, 2009 at 6:17 PM, Rob Glidden <[email-masked] <mailto:[email-masked]>> wrote:

recent times":

- Fines were levied

committee before.

blocking patents.

in subverting it.

this case they won't.

standardization.

Rob

the court."

<http://www.law.com/jsp/article.jsp?id=1202431679659>,
who for the

<http://www.law.com/jsp/legaltechnology/pubArticleLT.jsp?id=900005504954>.

Qualcomm Inc. was sanctioned by San Diego Magistrate
Judge Barbara

stephen botzko wrote:

As Stephan Wenger indicated, it is not clear if the
JVT actually

silicon).

Stephen Botzko

Polycom

<[email-masked]
<mailto:[email-masked]>>
wrote:

stephen botzko wrote:

Rob

Stephen Botzko

Polycom.

<mailto:[email-masked]>>
wrote:

Rob

Eric Burger wrote:

codec mailing list

codec mailing list

---

From: Rob Glidden <[email-masked]>
Date: Tue, 17 Nov 2009 04:46:55 -0800

You jest of course, but of course the opposite.

Trust but verify.

Rob

stephen botzko wrote:
> Perhaps you should add the word "sincere" to the proposed codec 
> charter.  That would certainly fix it.
>
> Stephen Botzko
> Polycom
>
> On Tue, Nov 17, 2009 at 6:28 AM, Rob Glidden 
>     It doesn't appear there was ever much more than a paper consensus
>     that was undermined by 2003 (see previous email) when patent pools
>     started announcing coverage of the h.264 baseline (years before
>     the Qualcomm litigation).
>
>     "Fought the political battles to make those contributions pass,
>     despite substantial resistance from some of the largest companies
>     in the field."
>
>     So I'd suggest a different interpretation, one that does not
>     assume there was a sincere or sustained political consensus.
>     Accepting this, a more realistic forward look is possible.
>
>     Rob
>
>
>
>     Stephan Wenger wrote:
>>     Hi Rob,
>>
>>     I will not comment more on the BC/QC San Diego case, except to
>>     say that misconduct before the standardization committee
>>     (violation of both written and de-facto practiced rules of the
>>     committee) was only one and, as some people have argued, small
>>     factor in the ruling.  I wish one could come to the conclusion
>>     that any misconduct before a standardization committee would
>>     automatically render related patents unenforceable (the
>>     inapplicable part is a very different story), but I fear that
>>     this is too much to hope for.
>>
>>     My current view of the likeliness of success of Codec in relation
>>     to JVT’s success or failure (depending whom you ask):
>>
>>        1. JVT took on the creation a /royalty-free/ /baseline /(that
>>           is, a part of a standard only, and rightholders may still
>>           require a signed license that may be encumbered to the
>>           point where it becomes unusable for some open source
>>           communities—clearly a factor for some software companies),
>>           in a /heavily patented field./  The vast majority of the
>>           participating companies—enough to create a consensus-based
>>           decision in the committee, and many of them known or likely
>>           future rightholders—was /in support/ of that goal.
>>        2. Codec attempts to take on of creating a /standard /(not
>>           only a baseline of a standard—rightholders cannot be
>>           appeased by arguing they can make money from non-baseline
>>           applications) under what the BOF chairs called “acceptable
>>           terms”--which translate to an /open-source friendly
>>           non-assert requirement/.  The field of technology is at
>>           least as /heavily patented/ as video.  A /significant
>>           percentage/ of companies known to hold a sizeable portfolio
>>           of audio/speech codec patents have spoken quite /clearly
>>           against the goal/.  It’s not up to me to declare an IETF
>>           consensus on whether acceptable terms are achievable, but
>>           if someone were a declaring such a consensus, I would
>>           object—and I’m sure I would not be alone.  In fact,
>>           “acceptable terms”, by policy cannot and will not be a hard
>>     Based on these perceptions and facts it seems obvious that it’s
>>     going to be much harder to achieve—that is also: easier to
>>     prevent for those not amicable—the goals of a hypothetical codec
>>     WG when compared to the goals of JVT.  
>>     Regards,
>>     Stephan
>>
>>
>>     On 11/15/09 3:17 PM, "Rob Glidden" <[email-masked]
>>     <http://[email-masked]>> wrote:
>>
>>         This case has been called "the most infamous discovery fiasco
>>         in recent times":
>>
>>         years later.  The two were issued and therefore public in
>>         1995 and 1996 (5 years before the JVT), and had been
>>         presented to the MPEG committee before.
>>
>>         patents, at least of the participants in the activity, rather
>>         than just relying on statements, would be good practice to
>>         check for blocking patents.
>>
>>         But yes, you are right the court did not blame the JVT
>>         process and certainly not those who took the royalty-free
>>         objective seriously.  Clearly not everyone shared that goal,
>>         and got caught in subverting it.
>>
>>         But no, the subsequent ITU/ISO/IEC Common Patent Policy did
>>         more than just keep presuming that such things never occur
>>         and accept being blind sided, and has tightened its IPR
>>         policy (which provides for third-parties coming forward with
>>         blocking info).
>>
>>         And yes, any one can sue about anything, and they can lie
>>         about their participation in a standards group.  They can
>>         fail to disclose.  They can assert patents that end up being
>>         ruled as inapplicable.  Maybe they will get away with it, or
>>         maybe as in this case they won't.
>>
>>         But that isn't a good reason to fail to develop the standards
>>         the Web needs for its open, royalty-free future.  Rather, the
>>         opposite. If it takes this kind of extreme behavior and it
>>         still doesn't work, then time to keep moving forward with
>>         royalty-free standardization.
>>
>>         Rob
>>
>>         "Lawyers in the Qualcomm discovery scandal claim that the
>>         company misled and stonewalled them, ultimately leading to
>>         the failure to turn over a mountain of relevant evidence and
>>         harsh sanctions from the court."
>>
>>         The allegations were made in briefs filed Monday by lawyers
>>         from the now-defunct Day Casebeer Batchelder & Madrid
>>         <http://www.law.com/jsp/article.jsp?id=1202431679659> , who
>>         for the first time are telling their side of what has become
>>         the most infamous discovery fiasco in recent times
>>         Qualcomm Inc. was sanctioned by San Diego Magistrate Judge
>>         Barbara Major in January 2008 for intentionally withholding
>>         "tens of thousands of e-mails" in an infringement case
>>         against Broadcom Corp. involving video compression technology
>>         patents. The company's lawyers -- six from Day Casebeer and
>>         one from Heller Ehrman -- were also sanctioned for assisting
>>         "Qualcomm in committing this incredible discovery violation,"
>>             actually failed or not.  What is clear is that they did
>>             everything they reasonably could have done.  There were
>>             several folks participating who took the royalty-free
>>             Again, all submitted IPR for the baseline tools indicated
>>             royalty free terms.  So the JVT had every reason to think
>>             they had succeeded.    By the time this IPR turned up,
>>             H.264 had been standardized for over 2 years.  H.264
>>             implementations were already out there - so any attempts
>>             to do work-arounds would have broken existing
>>             implementations (including implementations in silicon). 
>>              
>>             Certainly any existing IETF group would have presumed
>>             exactly the same thing the JVT did.  The lesson here is
>>             that even if the SDO is conscientious, an unencumbered
>>             codec can not be guaranteed. I don't see any other way to
>>             read this.
>>              
>>             Stephen Botzko
>>             Polycom
>>              
>>              
>>              
>>             <http://[email-masked]>> wrote:
>>              
>>
>>
>>                  
>>                 stephen botzko wrote:
>>
>>                     >>>
>>                     To date neither ITU-T nor MPEG have ever
>>                     delivered on this royalty free undertaking.
>>                     >>>
>>                     That should be viewed as very *bad* news here,
>>                     since all the IPR declarations in JVT for the
>>                     baseline tools indicated royalty free terms. In
>>                     other words, the SDOs did everything possible to
>>                     deliver, and when H.264 baseline was standardized
>>                     they thought they had succeeded.
>>                      
>>
>>
>>                 So any "h.264 successor" type work
>>                 (audio/video/transport) should complete, not drop,
>>                 the royalty free undertaking.  IETF and ITU-T should
>>                 lead there, not give up or hide in a niche.
>>                  
>>                 See November 10, 2009 "Preliminary call for proposals
>>                 signals work start for H.264/MPEG-4 AVC successor"
>>                  
>>                     <http://[email-masked]>> wrote:
>>                      
>>
>>                         Body initiated a (re)consideration of royalty
>>                         free standardization and MPEG has issued a
>>                         Someone may want to contact their national
>>                         MPEG Head of Delegation or numerous liaisons
>>                         including IETF, listed at
>>                         At the same time, MPEG is also considering
>>                         launching new royalty bearing activities HVC
>>                         (High Performance Video Coding) and MMT
>>                         (Multimedia Transport).
>>                         You may recall that h.264 was launched in
>>                         2001 as a joint project between ITU-T
>>                         Q.6/SG16 and ISO/IEC JTC 1/SC 29/WG11 with
>>                         the undertaking that the "JVT [Joint Video
>>                         Team] will define a “baseline” profile. That
>>                         profile should be royalty-free for all
>>                         implementations." To date neither ITU-T nor
>>                             Thank you to everyone who participated in
>>                             the room and remotely. We succeeded in
>>                             getting a lot of work done, and we have a
>>                             sense of whether or not we have a
>>                             well-formed problem to solve, if there
>>                             are people who need the work product, if
>>                             people are willing to work on it, and if
>>                             the IETF is an acceptable venue to do the
>>                             work. In addition, we learned a lot about
>>                              [email-masked] <http://[email-masked]>
>>                          [email-masked] <http://[email-masked]>
>>         ------------------------------------------------------------------------
>>         [email-masked] <http://[email-masked]>

---

From: Rob Glidden <[email-masked]>
Date: Tue, 17 Nov 2009 04:56:59 -0800

And of course, a public draft call for proposals, a "preliminary
official call for submissions...signal work start", is counter to a
characterization of preliminary activity for which requirements have
not been set.

http://www.itu.int/ITU-T/studygroups/com16/ngvc/

I'd restate my encouragement to any one who cares about royalty free
standardization to get to work rather than justify the past or status
quo.

Rob

Rob Glidden wrote:

Rob

stephen botzko wrote:

Stephen Botzko

Polycom

On Tue, Nov 17, 2009 at 6:37 AM, Rob
Glidden <[email-masked]>
wrote:

Stephen:

Rob

stephen botzko wrote:

I did read the case. And despite the fact that the court
did
not criticize the JVT at all, I think that your own posts left a false
impression that somehow it did.

Stephen Botzko

Polycom

recent times":

- Fines were levied

committee before.

blocking patents.

in subverting it.

this case they won't.

standardization.

Rob

the court."

stephen botzko wrote:

silicon).

Stephen Botzko

Polycom

stephen botzko wrote:

Rob

Stephen Botzko

Polycom.

Rob

Eric Burger wrote:

codec mailing list

codec mailing list

---

From: stephen botzko <[email-masked]>
Date: Tue, 17 Nov 2009 10:12:13 -0500

Three what?  There are two draft calls for proposals, with nearly identical
text - one from the ITU-T, and one from ISO/IEC (MPEG).  Of course there are
many contributions and comments, but only two draft call for proposals that
I am aware of.  Are you saying there is independent work in a different SDO?

I would assert that putting beginning business focus on technical
requirements and terms of reference, delaying business model and IPR process
to an after-thought, is indeed demonstrative of an upper hand.  Consider
what this would look like if royalty free had upper hand, equal say, or even
a seat at table.
>>>
>From Polycom's perspective, even an unencumbered video standard would need
to significantly out-perform H.264 in order to be worth doing.  We are
providing H.264 anyway, a new codec would be incremental and not a
replacement.  Before we add one, we would need to see a clear technical
improvement over what we are doing now (or a very strong business reason).
Like everyone, we prefer unencumbered technology when we can get it.  But
better performance is a requirement for us for the next gen video standard.

So starting from the technical requirements makes sense for us.  If it
doesn't outperform H.264, it doesn't matter what the terms are.  Obviously
there are other business models, and other viewpoints.  In the end consensus
prevails, as it does in the IETF.

BTW, "terms of reference" in this context is the organizational framework
that the ITU-T and ISO/IEC need to establish in order to work together.
Without it, there would be two competing standards under development.  IMHO
this would be very undesirable.

I would suggest that we have gotten seriously off topic, as this is not a
video codec list.

Stephen Botzko
Polycom

On Tue, Nov 17, 2009 at 7:42 AM, Rob Glidden <[email-masked]>wrote:

> requirements and terms of reference, delaying business model and IPR process
> to an after-thought, is indeed demonstrative of an upper hand.  Consider
> what this would look like if royalty free had upper hand, equal say, or even
> a seat at table.
>
> Rob
>
> stephen botzko wrote:
>
>
>> who dropped it and when and whether the ball was yanked from their hands or
>> were outfoxed, dis-spirited or whatever.
>>
>>> I did read the case. And despite the fact that the court did not
>>> criticize the JVT at all, I think that your own posts left a false
>>> http://www.law.com/jsp/legaltechnology/pubArticleLT.jsp?id=900005504954
>>> >.
>>>
>>>
> codec mailing [email-masked]

---

From: David Singer <[email-masked]>
Date: Tue, 17 Nov 2009 11:27:49 -0800

On Nov 17, 2009, at 3:28 , Rob Glidden wrote:

> So I'd suggest a different interpretation, one that does not assume there was a sincere or sustained political consensus. Accepting this, a more realistic forward look is possible.

You are entitled to your opinions, but the effort was sincere and sustained on the part of large numbers of participants.  This is not the place to go into where things went wrong, but it is worth noting that MPEG is looking again into the question of royalty-free standards, and what was learned from that process.

David Singer
Multimedia and Software Standards, Apple Inc.

---

From: Stephan Wenger <[email-masked]>
Date: Tue, 17 Nov 2009 12:52:15 -0800

Hi Rob,
Of course there was resistance against a proposed change in business models
for baseline video coding patents, and of course there were political
battles (for example on the strategic implications of those changes).  What
matters, though, is that a considerable percentage of the initial resistance
against the Royalty-Free Baseline went away after compelling arguments were
made.  And that consensus was established, on paper, and in reality.  You
may disagree, but, bluntly put, I was there and able to observe (however
biased my perception may have been), and you were not.  I think that this
may put me in a slightly better position to recollect and document what
happened.
The most prominent written evidence of consensus is, of course, the JVT
terms of reference (ToR,
http://www.itu.int/dms_pub/itu-t/oth/34/01/T34010000010001PDFE.pdf).  This
document was approved by both the SG16 and MPEG managements and plenaries.
Do you really think that either ITU SG16 or MPEG would have declared
consensus on something like this if it could have been challenged
successfully (for example by a claim of false consensus)?  Note further
that, once the ToR were in place, the provisions therein were followed in
every detail, at least until 2004.  (From that time on I attended JVT only
sporadically, and I¹m not in the position to comment.  Further, baseline was
set in 2003; therefore, provisions directly related to baseline are not
overly relevant anymore after 2003).  Finally, as you may know, there has
been quite a bit of litigation around H.264 recently, but AFAIK, no one has
ever challenged the ToR or the operative mode of JVT.  (Closest to this
came, AFAIK, the BC/QC San Diego case, and we all know where that led to.)
Regards,
Stephan    

On 11/17/09 3:28 AM, "Rob Glidden" <[email-masked]> wrote:

> So I'd suggest a different interpretation, one that does not assume there was
> a sincere or sustained political consensus. Accepting this, a more realistic
> forward look is possible.
> 
> Rob
> 
> 
> Stephan Wenger wrote:
>>  Re: [codec] I wonder what is going on at MPEG, Re: DRAFT Minutes  Posted Hi
>> Rob,
>>  
>> people have argued, small factor in the ruling.  I wish one could come to the
>> conclusion that any misconduct before a standardization committee would
>> create a consensus-based decision in the committee, and many of them known or
>> likely future rightholders‹was in support of that goal.
>> 2. Codec attempts to take on of creating a standard (not only a baseline of a
>> standard‹rightholders cannot be appeased by arguing they can make money from
>> non-baseline applications) under what the BOF chairs called ³acceptable
>> 3.  
>>> not those who took the royalty-free objective seriously. Clearly not
>>> everyone shared that goal, and got caught in subverting it.
>>>  
>>> stonewalled them, ultimately leading to the failure to turn over a mountain
>>> of relevant evidence and harsh sanctions from the court."
>>>  
>>> <http://www.law.com/jsp/article.jsp?id=1202431679659> , who for the first
>>> fiasco in recent times
>>>>>> declarations in JVT for the baseline tools indicated royalty free terms.
>>>>>> In other words, the SDOs did everything possible to deliver, and when
>>>>>> H.264 baseline was standardized they thought they had succeeded.
>>>>>>  
>>>>>>  
>>>>>   
>>>>> complete, not drop, the royalty free undertaking.  IETF and ITU-T should
>>>>> rk+Start+For+H264MPEG4+AVC+Successor.aspx
>>>>>   
>>>>> Rob 
>>>>>  
>>>>>  
>>>>>  
>>>>>   
>>>>>> Stephen Botzko
>>>>>> Polycom.  
>>>>>>  
>>>>>>  
>>>>>>  
>>>>>>  
>>>>>>> that the "JVT [Joint Video Team] will define a ³baseline² profile. That

---

From: Rob Glidden <[email-masked]>
Date: Wed, 18 Nov 2009 02:31:36 -0800

>From Polycom's perspective, even an unencumbered video standard
would
need to significantly out-perform H.264 in order to be worth doing.

Interesting, do you think this means that Polycom has dropped its
public 2003 support for royalty free baseline or further work in that
direction?  And disagrees the views of the MPEG convenor stated below
in 2008?  I would hope not.

Rob

http://www.imtc.org/press/pressrel/press022003.asp

http://www.chiariglione.org/leonardo/publications/epo2008/index.asp

"I believe MPEG should enlarge its portfolio of standards by offering
some that are expected to be royalty free and typically less performing
and with less functionality next to those that are state of the art,
more performing and with more functionality.

The problem is of course not in that obligation but in the fact that
“fair – reasonable – non discriminatory” used to be meaningful words
when standards were designed for the needs of one industry whose
members generally shared the business model according to which the
standard would be used.

So, the problem is not “how many cents, tens of cent or euros of
licensing fee is fair and reasonable” but “how can licensing be fair
and reasonable without specifying a business model”. The issue is
serious and more than one MPEG standard did not have the acceptance it
deserved because the licensing terms, perfectly acceptable and probably
“fair and reasonable” for certain business models were rejected by
those who had different ideas in mind."

stephen botzko wrote:

Three what?  There are two draft calls for proposals, with nearly
identical text - one from the ITU-T, and one from ISO/IEC (MPEG).  Of
course there are many contributions and comments, but only two draft
call for proposals that I am aware of.  Are you saying there is
independent work in a different SDO?

>From Polycom's perspective, even an unencumbered video standard would
need to significantly out-perform H.264 in order to be worth doing.  We
are providing H.264 anyway, a new codec would be incremental and not a
replacement.  Before we add one, we would need to see a clear technical
improvement over what we are doing now (or a very strong business
reason).   Like everyone, we prefer unencumbered technology when we can
get it.  But better performance is a requirement for us for the next
gen video standard.

So starting from the technical requirements makes sense for us.  If it
doesn't outperform H.264, it doesn't matter what the terms are.
Obviously there are other business models, and other viewpoints.  In
the end consensus prevails, as it does in the IETF.

BTW, "terms of reference" in this context is the organizational
framework that the ITU-T and ISO/IEC need to establish in order to work
together.  Without it, there would be two competing standards under
development.  IMHO this would be very undesirable.

I would suggest that we have gotten seriously off topic, as this is not
a video codec list.

Stephen Botzko

Polycom

On Tue, Nov 17, 2009 at 7:42 AM, Rob Glidden
<[email-masked]>
wrote:

Rob

stephen botzko wrote:

Stephen Botzko

Polycom

Stephen:

Rob

stephen botzko wrote:

Stephen Botzko

Polycom

recent times":

- Fines were levied

committee before.

blocking patents.

in subverting it.

this case they won't.

standardization.

Rob

the court."

stephen botzko wrote:

As Stephan Wenger indicated, it is not clear if
the
JVT actually

silicon).

Stephen Botzko

Polycom

stephen botzko wrote:

Rob

Stephen Botzko

Polycom.

Rob

Eric Burger wrote:

codec mailing list

codec mailing list

---

From: Rob Glidden <[email-masked]>
Date: Wed, 18 Nov 2009 02:34:38 -0800

consensus on something like this if it could have been challenged 
successfully (for example by a claim of false consensus)?

Stephan:

Time has shown that some had very very different views of consensus.

Rob

Stephan Wenger wrote:
> Hi Rob,
> Of course there was resistance against a proposed change in business 
> models for baseline video coding patents, and of course there were 
> political battles (for example on the strategic implications of those 
> changes). What matters, though, is that a considerable percentage of 
> the initial resistance against the Royalty-Free Baseline went away 
> after compelling arguments were made. And that consensus was 
> established, on paper, and in reality. You may disagree, but, bluntly 
> put, I was there and able to observe (however biased my perception may 
> have been), and you were not. I think that this may put me in a 
> slightly better position to recollect and document what happened.
> The most prominent written evidence of consensus is, of course, the 
> JVT terms of reference (ToR, 
> http://www.itu.int/dms_pub/itu-t/oth/34/01/T34010000010001PDFE.pdf). 
> This document was approved by both the SG16 and MPEG managements and 
> plenaries. Do you really think that either ITU SG16 or MPEG would have 
> declared consensus on something like this if it could have been 
> challenged successfully (for example by a claim of false consensus)? 
> Note further that, once the ToR were in place, the provisions therein 
> were followed in every detail, at least until 2004. (From that time on 
> I attended JVT only sporadically, and I’m not in the position to 
> comment. Further, baseline was set in 2003; therefore, provisions 
> directly related to baseline are not overly relevant anymore after 
> 2003). Finally, as you may know, there has been quite a bit of 
> litigation around H.264 recently, but AFAIK, no one has ever 
> challenged the ToR or the operative mode of JVT. (Closest to this 
>         Re: [codec] I wonder what is going on at MPEG, Re: DRAFT
>         Minutes Posted Hi Rob,
>
>         My current view of the likeliness of success of Codec in
>         relation to JVT’s success or failure (depending whom you ask):
>
>            1. JVT took on the creation a /royalty-free/ /baseline
>               /(that is, a part of a standard only, and rightholders
>               may still require a signed license that may be
>               encumbered to the point where it becomes unusable for
>               some open source communities—clearly a factor for some
>               software companies), in a /heavily patented field./ The
>               vast majority of the participating companies—enough to
>               create a consensus-based decision in the committee, and
>               many of them known or likely future rightholders—was /in
>               support/ of that goal.
>               appeased by arguing they can make money from
>               non-baseline applications) under what the BOF chairs
>               called “acceptable terms”--which translate to an
>               /open-source friendly non-assert requirement/. The field
>               of technology is at least as /heavily patented/ as
>               video. A /significant percentage/ of companies known to
>               hold a sizeable portfolio of audio/speech codec patents
>               have spoken quite /clearly against the goal/. It’s not
>               up to me to declare an IETF consensus on whether
>               acceptable terms are achievable, but if someone were a
>               declaring such a consensus, I would object—and I’m sure
>               I would not be alone. In fact, “acceptable terms”, by
>               policy cannot and will not be a hard requirement for the
>               work of a hypothetical codec WG.
>           3.
>
>         Based on these perceptions and facts it seems obvious that
>         it’s going to be much harder to achieve—that is also: easier
>         to prevent for those not amicable—the goals of a hypothetical
>             This case has been called "the most infamous discovery
>             fiasco in recent times":
>
>             But read the case: these were not patents that turned up
>             two years later. The two were issued and therefore public
>             in 1995 and 1996 (5 years before the JVT), and had been
>             Going forward, a more proactive ex ante assessment of
>             known patents, at least of the participants in the
>             activity, rather than just relying on statements, would be
>             good practice to check for blocking patents.
>
>             objective seriously. Clearly not everyone shared that
>             goal, and got caught in subverting it.
>
>             But no, the subsequent ITU/ISO/IEC Common Patent Policy
>             did more than just keep presuming that such things never
>             occur and accept being blind sided, and has tightened its
>             IPR policy (which provides for third-parties coming
>             fail to disclose. They can assert patents that end up
>             being ruled as inapplicable. Maybe they will get away with
>             it, or maybe as in this case they won't.
>
>             But that isn't a good reason to fail to develop the
>             standards the Web needs for its open, royalty-free future.
>             Rather, the opposite. If it takes this kind of extreme
>             behavior and it still doesn't work, then time to keep
>             moving forward with royalty-free standardization.
>
>             Rob
>
>             the failure to turn over a mountain of relevant evidence
>             and harsh sanctions from the court."
>
>             The allegations were made in briefs filed Monday by
>             lawyers from the now-defunct Day Casebeer Batchelder &
>             Madrid
>             <http://www.law.com/jsp/article.jsp?id=1202431679659> ,
>             who for the first time are telling their side of what has
>             become the most infamous discovery fiasco in recent times
>             Barbara Major in January 2008 for intentionally
>             withholding "tens of thousands of e-mails" in an
>             infringement case against Broadcom Corp. involving video
>             compression technology patents. The company's lawyers --
>             six from Day Casebeer and one from Heller Ehrman -- were
>             also sanctioned for assisting "Qualcomm in committing this
>             incredible discovery violation," either knowingly or
>                 JVT actually failed or not. What is clear is that they
>                 did everything they reasonably could have done. There
>                 were several folks participating who took the
>                 royalty-free baseline profile objective very seriously.
>
>                 Again, all submitted IPR for the baseline tools
>                 indicated royalty free terms. So the JVT had every
>                 reason to think they had succeeded. By the time this
>                 IPR turned up, H.264 had been standardized for over 2
>                 years. H.264 implementations were already out there -
>                 so any attempts to do work-arounds would have broken
>                 existing implementations (including implementations in
>                 silicon).
>
>                 codec can not be guaranteed. I don't see any other way
>                 to read this.
>
>                 Stephen Botzko
>                 Polycom
>
>
>
>                 <[email-masked]> wrote:
>
>
>
>
>                     stephen botzko wrote:
>
>                         >>>
>                         baseline tools indicated royalty free terms.
>                         In other words, the SDOs did everything
>                         possible to deliver, and when H.264 baseline
>                         was standardized they thought they had succeeded.
>
>
>
>                     the royalty free undertaking. IETF and ITU-T
>                     See November 10, 2009 "Preliminary call for
>                     proposals signals work start for H.264/MPEG-4 AVC
>                     successor"
>
>                         <[email-masked]> wrote:
>
>
>                             (re)consideration of royalty free
>                             standardization and MPEG has issued a call
>                             MPEG Head of Delegation or numerous
>                             liaisons including IETF, listed at
>                             launching new royalty bearing activities
>                             HVC (High Performance Video Coding) and
>                             MMT (Multimedia Transport).
>                             Team] will define a “baseline” profile.
>                             That profile should be royalty-free for
>                             all implementations." To date neither

---

From: Rob Glidden <[email-masked]>
Date: Wed, 18 Nov 2009 02:43:50 -0800

David:

Yes there is a mention of this at

http://multimediacommunication.blogspot.com/2009/10/mpeg-news-report-from-90th-meeting-in.html

Here is a simple and fair test of whether there is "sincere and 
sustained" support for royalty free goal/profile/baseline/standard etc 
-- is it included in new work by ITU, ISO/MPEG (and ITEF).  Bonus points 
for addressing lessons learned and evolving process/approach.

Rob

---

From: Rob Glidden <[email-masked]>
Date: Wed, 18 Nov 2009 02:51:51 -0800

Stephen:

Thanks for the heads-up.  Like I said, looks like this is a jumping gun
on proper terms of reference restating and rejuvenating royalty free
goal/baseline/profile/standard.

Rob

stephen botzko wrote:

Feel free to submit something.  Be aware that the cost for
subjective testing is likely to be around 5000 Euros and will be paid
for by the submitters.

Stephen Botzko

On Tue, Nov 17, 2009 at 7:56 AM, Rob Glidden
<[email-masked]>
wrote:

Rob

Rob Glidden wrote:

As this thread starts off, there appear to
be three.

Rob

stephen botzko wrote:

The draft calls for proposals (there
are

Stephen Botzko

Polycom

Stephen:

Rob

stephen botzko wrote:

I did read the case. And despite the fact that the
court
did
not criticize the JVT at all, I think that your own posts left a false
impression that somehow it did.

Stephen Botzko

Polycom

recent times":

- Fines were levied

committee before.

blocking patents.

in subverting it.

this case they won't.

standardization.

Rob

the court."

Qualcomm Inc. was sanctioned by San Diego
Magistrate
Judge Barbara

stephen botzko wrote:

silicon).

Stephen Botzko

Polycom

stephen botzko wrote:

Rob

Stephen Botzko

Polycom.

Rob

Eric Burger wrote:

codec mailing list

codec mailing list